Fiori client compile error

Published by Tobias Hofmann on

1 min read

Lately I was installing the latest version of the SMP3 SDK SP10 PL3 and with it the Fiori client. While trying to create a new custom Fiori client app, I got an error. Gradle wasn`t able to download a dependency from maven.

Now, you never know for sure if this may now happening because of the new SDK version or because of another error. I checked the maven site and the POM was there, I could even download it via the browser. I use from time to time my own repository manager (artifactory). First I checked if my settings.xml can be blamed. Settings.xml was empty, so all requests done by maven will go directly. But this triggered something in my head. The connection I was using to connect to the internet was not without a proxy. Not a proxy you had to insert into your computer configuration, but it was there. So I switched to LTE via my smartphone and … it worked. Cordova compiled now ran without an error.

Lesson learned: be prepared for strange errors when a proxy is between you and the internet.

Let the world know

Tobias Hofmann

Doing stuff with SAP since 1998. Open, web, UX, cloud. I am not a Basis guy, but very knowledgeable about Basis stuff, as it's the foundation of everything I do (DevOps). Performance is king, and unit tests is something I actually do. Developing HTML5 apps when HTML5 wasn't around. HCP/SCP user since 2012, NetWeaver since 2002, ABAP since 1998.

2 Comments

Diego · February 28, 2016 at 16:53

Hi,

When you run command “cordova -d build android” reported error.
Perform the test importing it into eclipse and not get the android SDK supported.

Can you tell compatibility with android ?.

ERROR:
C:KapselSDKappsfiori_clientFioriTGV>cordova -d build android
Generating config.xml from defaults for platform “android”
Calling plugman.prepare for platform “android”
Preparing android project
Processing configuration changes for plugins.
Iterating over installed plugins: [ ‘cordova-plugin-camera’,
‘cordova-plugin-contacts’,
‘cordova-plugin-crosswalk-webview’,
‘cordova-plugin-customurlscheme’,
‘cordova-plugin-file’,
‘cordova-plugin-geolocation’,
‘cordova-plugin-network-information’,
‘cordova-plugin-splashscreen’,
‘cordova-plugin-statusbar’,
‘cordova-plugin-whitelist’,
‘de.appplant.cordova.plugin.printer’,
‘kapsel-plugin-apppreferences’,
‘kapsel-plugin-attachmentviewer’,
‘kapsel-plugin-barcodescanner’,
‘kapsel-plugin-cachemanager’,
‘kapsel-plugin-cdsprovider’,
‘kapsel-plugin-e2etrace’,
‘kapsel-plugin-encryptedstorage’,
‘kapsel-plugin-fioriclient’,
‘kapsel-plugin-logger’,
‘kapsel-plugin-multidex’,
‘kapsel-plugin-push’,
‘kapsel-plugin-toolbar’,
‘kapsel-plugin-usage’,
‘kapsel-plugin-voicerecording’,
‘nl.x-services.plugins.calendar’,
‘kapsel-plugin-corelibs’,
‘cordova-plugin-device’,
‘kapsel-plugin-inappbrowser’,
‘kapsel-plugin-authproxy’,
‘kapsel-plugin-i18n’,
‘cordova-plugin-dialogs’,
‘kapsel-plugin-online’,
‘kapsel-plugin-logon’,
‘kapsel-plugin-xhook’,
‘kapsel-plugin-settings’,
‘cordova-plugin-screen-orientation’ ]
Writing out cordova_plugins.js…
Wrote out Android application name to “FioriTGV”
This app does not have launcher icons defined
Wrote out Android package name to “com.sap.fiori”
Running command: cmd “/s /c “C:KapselSDKappsfiori_clientFioriTGVplatformsa
ndroidcordovabuild.bat””
ANDROID_HOME=C:android_Sdk
JAVA_HOME=C:Program FilesJavajdk1.6.0_45
Running: C:KapselSDKappsfiori_clientFioriTGVplatformsandroidgradlew cdvBu
ildDebug -b C:KapselSDKappsfiori_clientFioriTGVplatformsandroidbuild.grad
le -Dorg.gradle.daemon=true
embedded
WARNING [Project: :] Current NDK support is deprecated. Alternative will be pro
vided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be pro
vided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be pro
vided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be pro
vided in the future.
org.xwalk:xwalk_core_library:16+

FAILURE: Build failed with an exception.

* Where:
Build file ‘C:KapselSDKappsfiori_clientFioriTGVplatformsandroidCordovaLib
build.gradle’ line: 49

* What went wrong:
A problem occurred evaluating project ‘:CordovaLib’.
> com/uphyca/gradle/android/AndroidAspectJPlugin : Unsupported major.minor versi
on 51.0

* Try:
Run with –stacktrace option to get the stack trace. Run with –info or –debug
option to get more log output.

BUILD FAILED

Total time: 13.193 secs

C:KapselSDKappsfiori_clientFioriTGVplatformsandroidcordovanode_modulesq
q.js:126
throw e;
^
Error code 1 for command: cmd with args: /s /c “C:KapselSDKappsfiori_clientF
ioriTGVplatformsandroidgradlew cdvBuildDebug -b C:KapselSDKappsfiori_clien
tFioriTGVplatformsandroidbuild.gradle -Dorg.gradle.daemon=true”
Command finished with error code 1: cmd /s /c “C:KapselSDKappsfiori_clientFi
oriTGVplatformsandroidcordovabuild.bat”
ERROR building one of the platforms: Error: cmd: Command failed with exit code 1

You may not have the required environment or OS to build this project
Error: cmd: Command failed with exit code 1
at ChildProcess.whenDone (C:UsersusuarioAppDataRoamingnpmnode_modules
cordovanode_modulescordova-libsrccordovasuperspawn.js:134:23)
at ChildProcess.emit (events.js:110:17)
at maybeClose (child_process.js:1015:16)
at Process.ChildProcess._handle.onexit (child_process.js:1087:5)

Regards,
Diego

    Tobias Hofmann · February 29, 2016 at 09:30

    The error is reported in the output:
    > com/uphyca/gradle/android/AndroidAspectJPlugin : Unsupported major.minor version 51.0

    You are using a wrong Java version.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.